cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/purchase_invoices/PI-0001/reactivate" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'from exsited import build_client
client = build_client()
response = client.purchase_invoices.reactivate_purchase_invoice("PI-0001", {})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseInvoices.reactivatePurchaseInvoice('PI-0001', {});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseInvoices->reactivatePurchaseInvoice('PI-0001', '{}');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_invoices.purchase_invoices_dto.PurchaseInvoicesDto.PurchaseInvoiceRead;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseInvoiceRead> response = client.purchaseInvoices().reactivatePurchaseInvoice(
"PI-0001",
Map.of());
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseInvoices.ReactivatePurchaseInvoiceAsync(
"PI-0001",
new Dictionary<string, object?>());
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseInvoices.reactivatePurchaseInvoice(
'PI-0001',
{},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseInvoices().ReactivatePurchaseInvoice(context.Background(), "PI-0001", map[string]any{}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"purchase_invoice": {
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"activity_logs": [
"<unknown>"
],
"alternate_due_date": "<string>",
"alternate_issue_date": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_attributes": [
{
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"custom_form": "<unknown>",
"due_date": "<string>",
"id": "<string>",
"issue_date": "<string>",
"kpis": {
"credit_applied": "<string>",
"credit_issued": "<string>",
"deleted_on": "<unknown>",
"last_amended_on": "<unknown>",
"last_cancelled_on": "<unknown>",
"last_payment_date": "<unknown>",
"last_reactivated_on": "<unknown>",
"object": "<string>",
"outstanding": "<string>",
"overdue": "<string>",
"payment_applied": "<string>",
"voided_on": "<unknown>"
},
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"lines": [
{
"accounting_code": "<string>",
"id": "<string>",
"item": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"object": "<string>",
"quantity": 123,
"subtotal": "<string>",
"tax": "<string>",
"total": "<string>",
"uom": "<string>",
"version": 123,
"warehouse": "<string>"
}
],
"object": "<string>",
"origin": "<string>",
"payment_status": "<string>",
"price_tax_inclusive": true,
"purchase_order": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"status": "<string>",
"subtotal": "<string>",
"tax": "<string>",
"total": "<string>",
"uuid": "<string>",
"version": 123
}
}Purchase invoices
Reactivate a purchase invoice
Reactivates a cancelled purchase invoice and returns it under purchase_invoice.
POST
/
purchase_invoices
/
{purchase_invoice_id}
/
reactivate
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/purchase_invoices/PI-0001/reactivate" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'from exsited import build_client
client = build_client()
response = client.purchase_invoices.reactivate_purchase_invoice("PI-0001", {})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseInvoices.reactivatePurchaseInvoice('PI-0001', {});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseInvoices->reactivatePurchaseInvoice('PI-0001', '{}');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_invoices.purchase_invoices_dto.PurchaseInvoicesDto.PurchaseInvoiceRead;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseInvoiceRead> response = client.purchaseInvoices().reactivatePurchaseInvoice(
"PI-0001",
Map.of());
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseInvoices.ReactivatePurchaseInvoiceAsync(
"PI-0001",
new Dictionary<string, object?>());
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseInvoices.reactivatePurchaseInvoice(
'PI-0001',
{},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseInvoices().ReactivatePurchaseInvoice(context.Background(), "PI-0001", map[string]any{}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"purchase_invoice": {
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"activity_logs": [
"<unknown>"
],
"alternate_due_date": "<string>",
"alternate_issue_date": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_attributes": [
{
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"custom_form": "<unknown>",
"due_date": "<string>",
"id": "<string>",
"issue_date": "<string>",
"kpis": {
"credit_applied": "<string>",
"credit_issued": "<string>",
"deleted_on": "<unknown>",
"last_amended_on": "<unknown>",
"last_cancelled_on": "<unknown>",
"last_payment_date": "<unknown>",
"last_reactivated_on": "<unknown>",
"object": "<string>",
"outstanding": "<string>",
"overdue": "<string>",
"payment_applied": "<string>",
"voided_on": "<unknown>"
},
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"lines": [
{
"accounting_code": "<string>",
"id": "<string>",
"item": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"object": "<string>",
"quantity": 123,
"subtotal": "<string>",
"tax": "<string>",
"total": "<string>",
"uom": "<string>",
"version": 123,
"warehouse": "<string>"
}
],
"object": "<string>",
"origin": "<string>",
"payment_status": "<string>",
"price_tax_inclusive": true,
"purchase_order": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"status": "<string>",
"subtotal": "<string>",
"tax": "<string>",
"total": "<string>",
"uuid": "<string>",
"version": 123
}
}Reactivates a cancelled purchase invoice, which sets its status back to
active. Send an empty object as the body.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The purchase invoice's id.
Body
application/json
The body is of type object.
Response
200 - application/json
The reactivated purchase invoice, under purchase_invoice.
Show child attributes
Show child attributes